Subject: [Nea] [Errata Verified] RFC5792 (3936)

From: RFC Errata System <[email-masked]>
Date: Thu, 8 May 2014 09:39:47 -0700 (PDT)

The following errata report has been verified for RFC5792,
"PA-TNC: A Posture Attribute (PA) Protocol Compatible with Trusted Network Connect (TNC)". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5792&eid=3936

--------------------------------------
Status: Verified
Type: Technical

Reported by: Steve Hanna <[email-masked]>
Date Reported: 2014-03-27
Verified by: Stephen Farrell (IESG)

Section: 3.4

Original Text
-------------
As depicted in section 3.2, a PA-TNC message consists of a PA-TNC
header followed by a sequence of one or more attributes.

Corrected Text
--------------
As depicted in section 3.2, a PA-TNC message consists of a PA-TNC
header followed by a sequence of zero or more attributes.

Notes
-----
Section 4 of RFC 5792 says “A PA-TNC message MUST contain a PA-TNC header (defined in section 3.6. followed by a sequence of zero or more PA-TNC attributes.” This contradicts the text in section 3.4, which says “one or more”. The correct text is “zero or more”. There’s no reason why a PA-TNC message containing zero attributes should be prohibited. For PA-TNC messages with some PA subtypes, an empty message containing no attributes may be enough.

--------------------------------------
RFC5792 (draft-ietf-nea-pa-tnc-06)
--------------------------------------
Title               : PA-TNC: A Posture Attribute (PA) Protocol Compatible with Trusted Network Connect (TNC)
Publication Date    : March 2010
Author(s)           : P. Sangster, K. Narayan
Category            : PROPOSED STANDARD
Source              : Network Endpoint Assessment
Area                : Security
Stream              : IETF
Verifying Party     : IESG